From 8a2cf35fd769e97e6c52428749ca879db86d4126 Mon Sep 17 00:00:00 2001 From: lkapadiya-DO Date: Fri, 29 May 2026 09:43:34 -0700 Subject: [PATCH 1/6] mark CreateModelAPIKey endpoint as deprecated --- .../gen-ai/genai_create_model_api_key.yml | 32 ++++++++++++------- 1 file changed, 20 insertions(+), 12 deletions(-) diff --git a/specification/resources/gen-ai/genai_create_model_api_key.yml b/specification/resources/gen-ai/genai_create_model_api_key.yml index d951449c9..098a43dec 100644 --- a/specification/resources/gen-ai/genai_create_model_api_key.yml +++ b/specification/resources/gen-ai/genai_create_model_api_key.yml @@ -1,4 +1,12 @@ -description: To create a model API key, send a POST request to `/v2/gen-ai/models/api_keys`. +deprecated: true + +summary: Create a Model API Key +description: | + **Note: This endpoint is deprecated and has been retired. All requests return a `410 Gone` response.** + + Creating model API keys through this endpoint is no longer supported. To create a model access key, visit the [Model Access Keys](https://cloud.digitalocean.com/model-studio/manage-keys) page in the control panel. + + Previously, you could create a model API key by sending a POST request to `/v2/gen-ai/models/api_keys`. operationId: genai_create_model_api_key requestBody: content: @@ -6,12 +14,8 @@ requestBody: schema: $ref: ./definitions.yml#/apiCreateModelAPIKeyInputPublic responses: - "200": - content: - application/json: - schema: - $ref: ./definitions.yml#/apiCreateModelAPIKeyOutput - description: A successful response. + "410": + description: The endpoint has been retired. headers: ratelimit-limit: $ref: ../../shared/headers.yml#/ratelimit-limit @@ -19,10 +23,17 @@ responses: $ref: ../../shared/headers.yml#/ratelimit-remaining ratelimit-reset: $ref: ../../shared/headers.yml#/ratelimit-reset + content: + application/json: + schema: + $ref: ../../shared/models/error.yml + example: + id: gone + message: >- + resource retired: Creating model API keys through this endpoint is retired. + Go to https://cloud.digitalocean.com/model-studio/manage-keys to create a model access key. "401": $ref: ../../shared/responses/unauthorized.yml - "404": - $ref: ../../shared/responses/not_found.yml "429": $ref: ../../shared/responses/too_many_requests.yml "500": @@ -32,8 +43,5 @@ responses: security: - bearer_auth: - genai:create -summary: Create a Model API Key tags: - GradientAI Platform -x-codeSamples: -- $ref: examples/curl/genai_create_model_api_key.yml From 32aecce4d613cfefd71a16d8c4031fb240b18a0e Mon Sep 17 00:00:00 2001 From: lkapadiya-DO Date: Fri, 29 May 2026 10:25:35 -0700 Subject: [PATCH 2/6] updated the error message --- specification/resources/gen-ai/genai_create_model_api_key.yml | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-) diff --git a/specification/resources/gen-ai/genai_create_model_api_key.yml b/specification/resources/gen-ai/genai_create_model_api_key.yml index 098a43dec..07b11b6ff 100644 --- a/specification/resources/gen-ai/genai_create_model_api_key.yml +++ b/specification/resources/gen-ai/genai_create_model_api_key.yml @@ -31,7 +31,7 @@ responses: id: gone message: >- resource retired: Creating model API keys through this endpoint is retired. - Go to https://cloud.digitalocean.com/model-studio/manage-keys to create a model access key. + Go to manage page in the control panel to create a model access key. "401": $ref: ../../shared/responses/unauthorized.yml "429": From 57aa0bf8f0debafc85466044ef70aaa0cfcefda5 Mon Sep 17 00:00:00 2001 From: lkapadiya-DO Date: Fri, 29 May 2026 13:09:02 -0700 Subject: [PATCH 3/6] removed the link --- specification/resources/gen-ai/genai_create_model_api_key.yml | 4 ++-- 1 file changed, 2 insertions(+), 2 deletions(-) diff --git a/specification/resources/gen-ai/genai_create_model_api_key.yml b/specification/resources/gen-ai/genai_create_model_api_key.yml index 07b11b6ff..96b76f75e 100644 --- a/specification/resources/gen-ai/genai_create_model_api_key.yml +++ b/specification/resources/gen-ai/genai_create_model_api_key.yml @@ -2,9 +2,9 @@ deprecated: true summary: Create a Model API Key description: | - **Note: This endpoint is deprecated and has been retired. All requests return a `410 Gone` response.** + **Note: This endpoint is deprecated and has been retired. All requests return a `410` response.** - Creating model API keys through this endpoint is no longer supported. To create a model access key, visit the [Model Access Keys](https://cloud.digitalocean.com/model-studio/manage-keys) page in the control panel. + Creating model API keys through this endpoint is no longer supported. To create a model access key, visit the manage page in the control panel. Previously, you could create a model API key by sending a POST request to `/v2/gen-ai/models/api_keys`. operationId: genai_create_model_api_key From 556c4825165e70761d38ed6f3dffe70300e3a345 Mon Sep 17 00:00:00 2001 From: lkapadiya-DO Date: Fri, 29 May 2026 13:10:30 -0700 Subject: [PATCH 4/6] added specific message --- specification/resources/gen-ai/genai_create_model_api_key.yml | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-) diff --git a/specification/resources/gen-ai/genai_create_model_api_key.yml b/specification/resources/gen-ai/genai_create_model_api_key.yml index 96b76f75e..e6c697b36 100644 --- a/specification/resources/gen-ai/genai_create_model_api_key.yml +++ b/specification/resources/gen-ai/genai_create_model_api_key.yml @@ -2,7 +2,7 @@ deprecated: true summary: Create a Model API Key description: | - **Note: This endpoint is deprecated and has been retired. All requests return a `410` response.** + **Note: This endpoint is deprecated and has been retired. All requests return a `410 gone` response.** Creating model API keys through this endpoint is no longer supported. To create a model access key, visit the manage page in the control panel. From 8de05f4f0258e268a6b5675cccbfb1a273172f33 Mon Sep 17 00:00:00 2001 From: Venkat Ranabothu Date: Mon, 8 Jun 2026 23:50:33 +0530 Subject: [PATCH 5/6] Add additional fields to Update Custom Model Metadata Input (#1183) --- .../resources/gen-ai/definitions.yml | 25 +++++++++++++++++++ .../genai_update_custom_model_metadata.yml | 6 ++++- 2 files changed, 30 insertions(+), 1 deletion(-) diff --git a/specification/resources/gen-ai/definitions.yml b/specification/resources/gen-ai/definitions.yml index dd248822e..f6e80e938 100644 --- a/specification/resources/gen-ai/definitions.yml +++ b/specification/resources/gen-ai/definitions.yml @@ -8013,9 +8013,34 @@ apiUpdateCustomModelMetadataInputPublic: description: example: example string type: string + input_modalities: + description: Input modalities supported (e.g., text, image) + example: + - example string + items: + example: example string + type: string + type: array + license: + description: License under which the model is distributed + example: example string + type: string name: example: example name type: string + output_modalities: + description: Output modalities supported (e.g., text, image) + example: + - example string + items: + example: example string + type: string + type: array + parameters: + description: Number of parameters in the model + example: "12345" + format: uint64 + type: string tags: $ref: '#/CustomModelTags' uuid: diff --git a/specification/resources/gen-ai/examples/curl/genai_update_custom_model_metadata.yml b/specification/resources/gen-ai/examples/curl/genai_update_custom_model_metadata.yml index 3ba635c62..7323350d2 100644 --- a/specification/resources/gen-ai/examples/curl/genai_update_custom_model_metadata.yml +++ b/specification/resources/gen-ai/examples/curl/genai_update_custom_model_metadata.yml @@ -8,5 +8,9 @@ source: |- "description": "finetuned model with olympiad math data", "tags": { "tags": ["finetuned", "new"] - } + }, + "input_modalities": ["text"], + "output_modalities": ["text"], + "parameters": "7000000000", + "license": "apache-2.0" }' From 0524d2689d1650da9a06de09e5e96d43249ed0fa Mon Sep 17 00:00:00 2001 From: lkapadiya-DO Date: Tue, 9 Jun 2026 11:20:06 -0700 Subject: [PATCH 6/6] removed orphaned file --- .../gen-ai/examples/curl/genai_create_model_api_key.yml | 9 --------- 1 file changed, 9 deletions(-) delete mode 100644 specification/resources/gen-ai/examples/curl/genai_create_model_api_key.yml diff --git a/specification/resources/gen-ai/examples/curl/genai_create_model_api_key.yml b/specification/resources/gen-ai/examples/curl/genai_create_model_api_key.yml deleted file mode 100644 index 21a371b81..000000000 --- a/specification/resources/gen-ai/examples/curl/genai_create_model_api_key.yml +++ /dev/null @@ -1,9 +0,0 @@ -lang: cURL -source: |- - curl -X POST \ - -H "Content-Type: application/json" \ - -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" \ - "https://api.digitalocean.com/v2/gen-ai/models/api_keys" \ - -d '{ - "name": "test-key" - }'